# Uses of Interface
org.eclipse.gef.editparts.LayerManager

Packages that use LayerManager
Package
Description
org.eclipse.gef.editparts
This package contains abstract implementation of the EditPart interface.
org.eclipse.gef.ui.parts

## Uses of LayerManager in org.eclipse.gef.editparts

Classes in org.eclipse.gef.editparts that implement LayerManager
Modifier and Type
Class
Description
`class`
`FreeformGraphicalRootEditPart`
A graphical root that uses `FreeformFigures` as the layers in the diagram.
`class`
`GraphicalRootEditPart`
Deprecated.
this class will be deleted, use ScrollingGraphicalViewer with ScalableRootEditPart instead
`class`
`ScalableFreeformRootEditPart`
Adds Zoom support to the standard FreeformGraphicalRootEditPart.
`class`
`ScalableRootEditPart`
A graphical root composed of regular `Layers`.
Methods in org.eclipse.gef.editparts that return LayerManager
Modifier and Type
Method
Description
`static LayerManager`
LayerManager.Helper.`find(EditPart part)`
Finds the LayerManager given any EditPart in the Viewer.

## Uses of LayerManager in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return LayerManager
Modifier and Type
Method
Description
`protected LayerManager`
GraphicalViewerImpl.`getLayerManager()`
Convenience method for finding the layer manager.